Skip to content

Global activity feed (all apps + system events)

GET
/activity
categories
string

Comma-separated category filter.

app
string

Filter by app slug.

limit
integer
default: 50
before
integer

Cursor — return entries with id < before.

Activity entries.

object
entries
Array<object>
object
id
integer format: int64
app_slug
string
actor_name
string
actor_source
string
Allowed values: ui api cli gitsync system
ip
string
category
string
Allowed values: compose endpoint backup alert webhook registry access deploy lifecycle auth system
action
string
target
string
summary
string
error
string
compose_version_id
integer format: int64
sync_status
string
nullable
Allowed values: pending synced failed
sync_commit_sha
string
nullable
sync_error
string
nullable
before_json

Only returned by GET /activity/{id}.

object
after_json

Only returned by GET /activity/{id}.

object
created_at
string format: date-time
next_before

Pass as before= in next request for pagination. Null when no more entries.

integer format: int64
nullable